Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153194 - top shows negative values
Summary: top shows negative values
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: procps
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-02 17:25 UTC by Antonis Sidiropoulos
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 08:18:49 UTC


Attachments (Terms of Use)

Description Antonis Sidiropoulos 2005-04-02 17:25:08 UTC
Description of problem:
Description of problem:
In a spesific case of using a perl program with GD::Graph calls, mysql
top shows negative value for column RSS

Version-Release number of selected component (if applicable):
procps-3.2.3-5.2

How reproducible:
Sometimes

Steps to Reproduce:
Unfortunately I cannot send the source of the program (author_plots.pl) since it
requires access to a huge mysql database.......  
But I include the output of pmap which I suppose will help to determine 
in which case this happens.

Actual Results:  top -v
top: procps version 3.2.3

-------------

top
 
 17:01:41  up 20:42,  8 users,  load average: 2,28, 3,65, 2,59
113 processes: 110 sleeping, 3 running, 0 zombie, 0 stopped
CPU0 states:  26,1% user  24,4% system    0,0% nice   0,0% iowait  48,4% idle
CPU1 states:  30,3% user  24,2% system    0,0% nice   0,0% iowait  44,4% idle
Mem:   771696k av,  628156k used,  143540k free,       0k shrd,   23808k buff
                    344748k actv,   44440k in_d,  158520k in_c
Swap: 14932356k av,  410464k used, 14521892k free                  466476k cached

  PID  PPID USER     TTY      PRI  NI  SIZE SWAP  RSS SHARE STAT LC %CPU %MEM  
TIME CPU COMMAND
 1909  1881 asidirop pts/3     25   0  290M 292M  -1M  1380 S     0 62,1 -0,2
890:57   0 author_plots.pl
 1121     1 root     ?         15   0   752  228  524   520 S     1  2,5  0,0  
0:01   1 sshd
 1577  1576 root     ?         15   0 10952  10M  696   224 S     0  1,1  0,0  
5:06   0 X
    9     1 root     ?         15   0     0    0    0     0 SW    0  0,7  0,0  
4:09   0 kscand/Normal
25281     1 asidirop ?         20   0  5520    0 5520  3860 S     1  0,7  0,7  
0:00   1 gvim
25300  1909 asidirop pts/3     25   0 75960  66M 8164  1560 RW    1  0,7  1,0  
0:00   1 author_plots.pl
24121 24119 asidirop pts/9     15   0   684   28  656   424 R     0  0,5  0,0  
0:02   0 top
 1917  1915 asidirop pts/4     15   0   660   36  624   392 S     0  0,3  0,0  
5:16   0 top
 1588  1576 gdm      ?         15   0 13440  10M 2340  1360 S     0  0,1  0,3  
1:50   0 gdmgreeter
    1     0 root     ?         15   0   476   28  448   424 S     0  0,0  0,0  
0:05   0 init
    2     0 root     ?         RT   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 migration/0
    3     0 root     ?         RT   0     0    0    0     0 SW    1  0,0  0,0  
0:00   1 migration/1
    4     1 root     ?         15   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 keventd
    5     1 root     ?         34  19     0    0    0     0 SWN   0  0,0  0,0  
0:00   0 ksoftirqd_CPU0
    6     1 root     ?         34  19     0    0    0     0 SWN   1  0,0  0,0  
0:00   1 ksoftirqd_CPU1
   11     1 root     ?         25   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 bdflush
    7     1 root     ?         15   0     0    0    0     0 SW    1  0,0  0,0  
0:19   1 kswapd
    8     1 root     ?         15   0     0    0    0     0 SW    1  0,0  0,0  
0:02   1 kscand/DMA
   10     1 root     ?         15   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 kscand/HighMem
   12     1 root     ?         15   0     0    0    0     0 SW    1  0,0  0,0  
0:07   1 kupdated
   13     1 root     ?         25   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 mdrecoveryd
   19     1 root     ?         25   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 scsi_eh_0
   20     1 root     ?         25   0     0    0    0     0 SW    0  0,0  0,0  
0:00   0 scsi_eh_1
   24     1 root     ?         22   0     0    0    0     0 SW    1  0,0  0,0  
0:00   1 scsi_eh_2
   25     1 root     ?         15   0     0    0    0     0 SW    1  0,0  0,0  
0:08   1 kjournald
  685     1 root     ?         15   0     0    0    0     0 SW    1  0,0  0,0  
0:08   1 kjournald

-------------------
  pmap 1909
/usr/bin/perl(1909)
08048000 (12 KB)       r-xp (03:01 327419)   /usr/bin/perl
0804b000 (4 KB)        rw-p (03:01 327419)   /usr/bin/perl
0804c000 (293140 KB)   rwxp (00:00 0)        
40000000 (84 KB)       r-xp (03:01 1440519)  /lib/ld-2.3.2.so
40015000 (4 KB)        rw-p (03:01 1440519)  /lib/ld-2.3.2.so
40016000 (4 KB)        rw-p (00:00 0)        
40017000 (1132 KB)     r-xp (03:01 245442)  
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
40132000 (44 KB)       rw-p (03:01 245442)  
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/libperl.so
4013d000 (8 KB)        rw-p (00:00 0)        
4013f000 (16 KB)       r-xp (03:01 1929576) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/IO/IO.so
40143000 (4 KB)        rw-p (03:01 1929576) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/IO/IO.so
40144000 (12 KB)       r-xp (03:01 1177463) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/Fcntl/Fcntl.so
40147000 (4 KB)        rw-p (03:01 1177463) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/Fcntl/Fcntl.so
40148000 (12 KB)       r-xp (03:01 1767967) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/Cwd/Cwd.so
4014b000 (4 KB)        rw-p (03:01 1767967) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/Cwd/Cwd.so
40154000 (72 KB)       r-xp (03:01 1439017)  /lib/libnsl-2.3.2.so
40166000 (4 KB)        rw-p (03:01 1439017)  /lib/libnsl-2.3.2.so
40167000 (8 KB)        rw-p (00:00 0)        
40169000 (12 KB)       r-xp (03:01 1444256)  /lib/libdl-2.3.2.so
4016c000 (4 KB)        rw-p (03:01 1444256)  /lib/libdl-2.3.2.so
4016d000 (132 KB)      r-xp (03:01 2207570)  /lib/tls/libm-2.3.2.so
4018e000 (4 KB)        rw-p (03:01 2207570)  /lib/tls/libm-2.3.2.so
4018f000 (44 KB)       r-xp (03:01 2207572)  /lib/tls/libpthread-0.34.so
4019a000 (4 KB)        rw-p (03:01 2207572)  /lib/tls/libpthread-0.34.so
4019b000 (8 KB)        rw-p (00:00 0)        
4019d000 (20 KB)       r-xp (03:01 1439011)  /lib/libcrypt-2.3.2.so
401a2000 (4 KB)        rw-p (03:01 1439011)  /lib/libcrypt-2.3.2.so
401a3000 (160 KB)      rw-p (00:00 0)        
401cb000 (8 KB)        r-xp (03:01 1439039)  /lib/libutil-2.3.2.so
401cd000 (4 KB)        rw-p (03:01 1439039)  /lib/libutil-2.3.2.so
401ce000 (4 KB)        rw-p (00:00 0)        
401cf000 (2048 KB)     r--p (03:01 459255)   /usr/lib/locale/locale-archive
403cf000 (204 KB)      r--p (03:01 459255)   /usr/lib/locale/locale-archive
40402000 (132 KB)      rw-p (00:00 0)        
40423000 (116 KB)      r-xp (03:01 1865916) 
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/GD/GD.so
40440000 (4 KB)        rw-p (03:01 1865916) 
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/GD/GD.so
40441000 (56 KB)       r-xp (03:01 343577)   /usr/lib/libgd.so.1.8.4
4044f000 (124 KB)      rw-p (03:01 343577)   /usr/lib/libgd.so.1.8.4
4046e000 (16 KB)       rw-p (00:00 0)        
40472000 (136 KB)      r-xp (03:01 343552)   /usr/lib/libpng12.so.0.1.2.2
40494000 (4 KB)        rw-p (03:01 343552)   /usr/lib/libpng12.so.0.1.2.2
40495000 (48 KB)       r-xp (03:01 343463)   /usr/lib/libz.so.1.1.4
404a1000 (8 KB)        rw-p (03:01 343463)   /usr/lib/libz.so.1.1.4
404a3000 (304 KB)      r-xp (03:01 343543)   /usr/lib/libfreetype.so.6.3.2
404ef000 (16 KB)       rw-p (03:01 343543)   /usr/lib/libfreetype.so.6.3.2
404f3000 (4 KB)        rw-p (00:00 0)        
404f4000 (116 KB)      r-xp (03:01 343549)   /usr/lib/libjpeg.so.62.0.0
40511000 (4 KB)        rw-p (03:01 343549)   /usr/lib/libjpeg.so.62.0.0
40512000 (880 KB)      r-xp (03:01 1701078)  /usr/X11R6/lib/libX11.so.6.2
405ee000 (12 KB)       rw-p (03:01 1701078)  /usr/X11R6/lib/libX11.so.6.2
405f1000 (56 KB)       r-xp (03:01 1701104)  /usr/X11R6/lib/libXpm.so.4.11
405ff000 (4 KB)        rw-p (03:01 1701104)  /usr/X11R6/lib/libXpm.so.4.11
40600000 (52 KB)       r-xp (03:01 1701088)  /usr/X11R6/lib/libXext.so.6.4
4060d000 (4 KB)        rw-p (03:01 1701088)  /usr/X11R6/lib/libXext.so.6.4
4060e000 (112 KB)      r-xp (03:01 1030272) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/POSIX/POSIX.so
4062a000 (4 KB)        rw-p (03:01 1030272) 
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/auto/POSIX/POSIX.so
4062b000 (140 KB)      r-xp (03:01 1228350) 
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/DBI/DBI.so
4064e000 (4 KB)        rw-p (03:01 1228350) 
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/DBI/DBI.so
4064f000 (88 KB)       r-xp (03:01 621999)  
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/DBD/mysql/mysql.so
40665000 (8 KB)        rw-p (03:01 621999)  
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/DBD/mysql/mysql.so
40667000 (112 KB)      r-xp (03:01 1375428) 
/usr/local/lib/mysql/libmysqlclient.so.10.0.0
40683000 (100 KB)      rw-p (03:01 1375428) 
/usr/local/lib/mysql/libmysqlclient.so.10.0.0
406b1000 (44 KB)       r-xp (03:01 1444270)  /lib/libnss_files-2.3.2.so
406bc000 (4 KB)        rw-p (03:01 1444270)  /lib/libnss_files-2.3.2.so
406bd000 (500 KB)      rw-p (00:00 0)        
4073a000 (268 KB)      r--p (08:11 97307)   
/home/asidirop/proj/dblp+/bin/Art/arial.ttf
4077d000 (3608 KB)     rw-p (00:00 0)        
42000000 (1216 KB)     r-xp (03:01 2207568)  /lib/tls/libc-2.3.2.so
42130000 (12 KB)       rw-p (03:01 2207568)  /lib/tls/libc-2.3.2.so
42133000 (12 KB)       rw-p (00:00 0)        
bfff8000 (32 KB)       rwxp (00:00 0)        
mapped:   305588 KB writable/private: 298036 KB shared: 0 KB

Comment 1 Karel Zak 2005-04-27 07:28:24 UTC
Are you really sure with proc-3.2.3? It looks like the "top" from <=FC-1 or
<=RHEL-3 (procps-2.x.x). There's not 'RSS' or 'SHARE' field in procps-3.x.x.
There should be 'RES' and 'SHR'.

Please, check your procps package installation (reinstall, check md5 sums, ...).

Comment 2 Antonis Sidiropoulos 2005-04-27 10:08:40 UTC
oooohhhhhhhh,
it is on a RH9 system.....

Comment 3 Karel Zak 2005-04-29 08:18:49 UTC
Well, update your OS :-) NOTABUG in FC3.

Comment 4 Albert Cahalan 2005-05-21 21:43:26 UTC
There was a kernel bug that caused accounting to get messed up.
An OS upgrade would indeed be a good idea.



Note You need to log in before you can comment on or make changes to this bug.